#ifndef STA_DEVICES_ARDUINO_TIME_HPP
#define STA_DEVICES_ARDUINO_TIME_HPP

#include <sta/config.hpp>
#ifdef STA_PLATFORM_ARDUINO

#include <cstdint>

namespace sta
{
    /**
     * @brief The current time in milliseconds.
     * 
     * @return uint32_t Returns current time in milliseconds.
     */
    uint32_t now();

    /**
     * @brief The current time in microseconds.
     * 
     * @return uint32_t Returns the current time in microseconds.
     */
    uint32_t nowUs();
} // namespace sta

#endif // STA_PLATFORM_ARDUINO

#endif // STA_DEVICES_ARDUINO_TIME_HPP